<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\history;
use Illuminate\Support\Facades\Auth;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Redirect;
class LeadHistory extends Controller
{
    use AuthenticatesUsers;
    protected $redirectTo = '/dashboard';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
 

 protected function create(Request $request)
    {
       $this->validate($request, [
           'id'=>'required|string','memo' => 'required|string|max:255',]);
       history::create([
            'memo' => $request->get('memo'),'trackdate'=>date('Y-m-d'), 'crm_id' =>$request->get('id'),'company_id' =>Auth::user()->company_id,
        ]); 
       return Redirect::back();
    
}
 protected function todo(Request $request)
    {
       $this->validate($request, [
           'id'=>'required|string','memo' => 'required|string|max:255','followup'=>'required|date|max:255']);
       history::create([
            'memo' => $request->get('memo'),'followup' => $request->get('followup'),'trackdate'=>date('Y-m-d'), 'crm_id' =>$request->get('id'),'company_id' =>Auth::user()->company_id,
        ]); 
       return Redirect::back();
    
}
}