<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class crm extends Model
{protected $fillable = [
        'company_id','projectid','projectname','date','stages_id','customer_id', 'tcv','estclosedate', 'product_id', 'contactsource','user_id',
    ];
public function scopeOfCompany($query, $type)
    {
        return $query->where('crms.company_id', $type);
    }
    function histories() {
    return $this->hasMany('App\history');
}
public function users()
    {
        return $this->belongsTo('App\user');
    }
    public function customers()
    {
        return $this->belongsTo('App\customer');
    }
     public function stages()
    {
        return $this->belongsTo('App\stage');
    }
    public function products()
    {
        return $this->belongsTo('App\product');
    }
    public function companies()
    {
        return $this->belongsTo('App\Company');
    }
    public function sources()
    {
        return $this->belongsTo('App\source');
    }
    //
}
