<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class history extends Model
{
   protected $fillable = [
        'company_id','trackdate','memo','followup','crm_id','todo','closedate'
    ];
   public function scopeOfCompany($query, $type)
    {
        return $query->where('histories.company_id', $type);
    }
   
   public function companies()
    {
        return $this->belongsTo('App\Company');
    }
    public function crms()
    {
        return $this->belongsTo('App\crm');
    }
}
